Bug 2658 - net ads user info <username> does not show primary user group
net ads user info <username> does not show primary user group
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.14a
All All
: P3 enhancement
: none
Assigned To: Kai Blin
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-27 00:00 UTC by Pavel V. Rochnyack
Modified: 2009-07-27 13:08 UTC (History)
0 users

See Also:


Attachments
net ads user info primary user group patch (2.33 KB, patch)
2005-04-27 00:28 UTC, Pavel V. Rochnyack
no flags Details
Make net ads user info print the primary group as well. (3.55 KB, patch)
2009-07-27 10:41 UTC, Kai Blin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel V. Rochnyack 2005-04-27 00:00:12 UTC
Primary user group not included into "memberOf" parameter and specified only by 
Group ID.
Comment 1 Pavel V. Rochnyack 2005-04-27 00:28:50 UTC
Created attachment 1180 [details]
net ads user info primary user group patch

This patch adds output of Primary User Group name into "net ads user info"
command.

Ldap info has the folowing structure(short example):

dn: CN=rpv,OU=Domain Admins,DC=aoi,DC=aoi
memberOf: CN=shell,CN=Users,DC=aoi,DC=aoi
memberOf: CN=Schema Admins,CN=Users,DC=aoi,DC=aoi
memberOf: CN=Enterprise Admins,CN=Users,DC=aoi,DC=aoi
memberOf: CN=Administrators,CN=Builtin,DC=aoi,DC=aoi
memberOf: CN=Domain Users,CN=Users,DC=aoi,DC=aoi
memberOf: CN=duty,CN=Users,DC=aoi,DC=aoi
name: rpv
primaryGroupID: 512

Proposed patch gets PrimaryGroupID and show Group Name.
Also some modifications added to libads.

Note what after applying this patch net utility will show "user not found"
warning.
Comment 2 Kai Blin 2008-06-22 10:41:36 UTC
On my todo list for Samba 3.3
Comment 3 Kai Blin 2008-06-22 10:42:31 UTC
Forgot to change assignee.
Comment 4 Kai Blin 2009-07-27 10:41:51 UTC
Created attachment 4476 [details]
Make net ads user info print the primary group as well.

Updated patch that applies to the master tree.
Comment 5 Kai Blin 2009-07-27 13:08:28 UTC
Pushed to master. Sorry this took so long.